{ pkgs, ... }:
let
  nixflake_dir = "$HOME/files/nixconfig";
  nixflake_url = "git+https://git.helcel.net/sora/nixconfig";
in {
  programs.zsh = {
    enable = true;
    shellAliases = {
      "sudo" = "sudo ";
      "devsh" =
        "nix develop --profile /tmp/devsh-env ${nixflake_url}#devsh -c zsh";
      "nixb" = "(sudo nixos-rebuild switch --flake ${nixflake_url})";
      "nixgc" = "sudo nix-collect-garbage -d && nix-collect-garbage -d";
      "ssh" = "TERM=xterm-256color  ${pkgs.openssh}/bin/ssh";
      "top" = "btop";
    };
    initContent = ''
      sopsu() {nix-shell -p sops --run "sops updatekeys $1";}
      sopsn() {nix-shell -p sops --run "sops $1";}
    '';
  };
}
